# Invoke-RASRDSHostPoolCmd.md

## NAME

Invoke-RASRDSHostPoolCmd

## SYNOPSIS

Sends a command to the RD Session Host Pool.

## SYNTAX

**Invoke-RASRDSHostPoolCmd** \[[Id](#id-string)] *(uint)* -[Command](#Command) {CancelSchedule | CancelDisabledState | CancelPendingReboot | CancelPendingShutdown} \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Invoke-RASRDSHostPoolCmd \[-[InputObject](#inputobject)] *(*[*RDSHostPool*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rdshostpool.md)*)* -[Command](#Command) {CancelSchedule | CancelDisabledState | CancelPendingReboot | CancelPendingShutdown} \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Invoke-RASRDSHostPoolCmd \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] -[Command](#Command) {CancelSchedule | CancelDisabledState | CancelPendingReboot | CancelPendingShutdown} \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Sends a command to the RD Session Host Pool.

It will only fail with an error if the name or ID of the RD Session Host Pool is invalid.

## PARAMETERS

## Name (string)

The name of RDS Group.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID.

If the parameter is omitted, the Licensing Server site ID will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of a RDS Group.

To obtain the ID, use the Get-RASRDSHostPool cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([RDSHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rdshostpool.md))

The RDSHostPool Object.

To obtain a RDSHostPool object use the Get-RASRDSHostPool command."

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## Command ([RDSHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rdshostpool.md))

Session command.

Possible values: CancelSchedule, CancelDisabledState, CancelPendingReboot, CancelPendingShutdown

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[RDSHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rdshostpool.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Invoke-RASRDSHostPoolCmd -Id 2536 -Command CancelSchedule

Cancels the Schedules in the RD Session Host Pool.\
\*\*---------- EXAMPLE 2 ----------

$RDPSessionApp | Invoke-RASRDSHostPoolCmd -Command CancelDisabledState

The disabled state set by the RAS Scheduler is cancelled.

## RELATED LINKS

* [Get-RASRDSHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasrdshostpool.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasrdshostpoolcmd.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
